DMVDOSTATS(8)

NAME
dmvdostats — Display VDO statistics for device-mapper devices

SYNOPSIS
dmvdostats [-h|--help] [-v|--verbose] [--count count] [--interval seconds] [-o|--options fields] [-O|--sort sort_fields] [-S|--select selection] [--noheadings] [--nosuffix] [--separator separator] [--units units] [device...]

dmsetup vdostats [options] [device...]

DESCRIPTION
dmvdostats displays statistics for VDO (Virtual Data Optimizer) device-mapper targets. It queries each VDO device via the kernel stats message interface and presents the results in either a tabular (report) format or a verbose key-value format.

If no device argument is given, dmvdostats enumerates all device-mapper devices and reports statistics for every VDO target found.

dmvdostats is installed as a symlink to dmsetup(8) and may also be invoked as dmsetup vdostats.

OPTIONS

-h, --help
    Display usage information.

-v, --verbose
    Produce verbose output. Instead of the tabular report, display all kernel statistics in a key-value format compatible with the legacy vdostats tool. Derived fields (1K-blocks, used percent, saving percent, write amplification) are inserted into the output.

--count count
    Repeat the report count times. Use with --interval to monitor VDO statistics continuously.

--interval seconds
    Pause seconds between report iterations when --count is greater than one.

-o, --options fields
    Comma-separated list of fields to display. Use -o help to see a list of available fields. If not specified, the default fields are:
    vdo_name,vdo_physical_size,vdo_used, vdo_available,vdo_used_pct,vdo_saving_pct.

-O, --sort sort_fields
    Comma-separated list of fields to sort by.

-S, --select selection
    Display only rows that match the selection criteria. See lvmreport(7) for the selection syntax.

--noheadings
    Suppress the headings line in report output.

--nosuffix
    Suppress the suffix on size values.

--separator separator
    Use separator between fields in report output.

--units units
    Set the display unit for size fields. Available units: b(ytes), s(ectors), k(ilobytes), m(egabytes), g(igabytes), t(erabytes), p(etabytes), e(xabytes). Capitalize to use multiples of 1000 (S.I.) instead of 1024. Default is human-readable (h).

FIELDS
The following fields are available for report output (-o):

vdo_name
    VDO device name.

vdo_physical_size
    Physical size of the VDO device.

vdo_used
    Physical space used (data blocks + overhead).

vdo_available
    Physical space available.

vdo_used_pct
    Percentage of physical space used.

vdo_saving_pct
    Percentage of logical data saved by deduplication and compression.

vdo_all
    All VDO fields.

EXAMPLES
Display default statistics for all VDO devices:

    # dmvdostats

Display verbose output for a specific device:

    # dmvdostats -v /dev/mapper/vg-vpool0-vpool

Display selected fields:

    # dmvdostats -o vdo_name,vdo_used_pct,vdo_saving_pct

Monitor usage every 5 seconds, 10 times:

    # dmvdostats --count 10 --interval 5

Filter to devices over 50% usage:

    # dmvdostats -S 'vdo_used_pct > 50'

SEE ALSO
dmsetup(8), lvm(8), lvmvdo(7), lvs(8)